ru.bitel.bgbilling.modules.smarthouse.server.bean

## Enum PackageOptionBase

- java.lang.Object
- - java.lang.Enum<PackageOptionBase>
  - - ru.bitel.bgbilling.modules.smarthouse.server.bean.PackageOptionBase

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PackageOptionBase>

      public enum PackageOptionBase
      extends java.lang.Enum<PackageOptionBase>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASE`
    `FLUSSONIC_CAMERA`
    `FLUSSONIC_DVR`
    `FLUSSONIC_DVR_DEPTH`
    `FLUSSONIC_DVR_SPACE`
    `FLUSSONIC_ORGANIZATION`
    `FLUSSONIC_USER`
    `FORPOST_ACCOUNT`
    `FORPOST_CAMERA`
    `FORPOST_DVR`
    `FORPOST_DVR_DEPTH`
    `FORPOST_DVR_SPACE`
    `FORPOST_USER`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `java.lang.String` | `getTitle()`
    `void` | `setName(java.lang.String name)`
    `void` | `setTitle(java.lang.String title)`
    `static PackageOptionBase` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PackageOptionBase[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BASE

          public static final PackageOptionBase BASE

    - #### FORPOST_ACCOUNT

          public static final PackageOptionBase FORPOST_ACCOUNT

    - #### FORPOST_CAMERA

          public static final PackageOptionBase FORPOST_CAMERA

    - #### FORPOST_USER

          public static final PackageOptionBase FORPOST_USER

    - #### FORPOST_DVR

          public static final PackageOptionBase FORPOST_DVR

    - #### FORPOST_DVR_DEPTH

          public static final PackageOptionBase FORPOST_DVR_DEPTH

    - #### FORPOST_DVR_SPACE

          public static final PackageOptionBase FORPOST_DVR_SPACE

    - #### FLUSSONIC_ORGANIZATION

          public static final PackageOptionBase FLUSSONIC_ORGANIZATION

    - #### FLUSSONIC_CAMERA

          public static final PackageOptionBase FLUSSONIC_CAMERA

    - #### FLUSSONIC_USER

          public static final PackageOptionBase FLUSSONIC_USER

    - #### FLUSSONIC_DVR

          public static final PackageOptionBase FLUSSONIC_DVR

    - #### FLUSSONIC_DVR_DEPTH

          public static final PackageOptionBase FLUSSONIC_DVR_DEPTH

    - #### FLUSSONIC_DVR_SPACE

          public static final PackageOptionBase FLUSSONIC_DVR_SPACE

  - ### Method Detail

    - #### values

          public static PackageOptionBase[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PackageOptionBase c : PackageOptionBase.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PackageOptionBase valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String title)